File: package.json

package info (click to toggle)
node-error-ex 1.3.0-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, stretch
  • size: 108 kB
  • ctags: 8
  • sloc: makefile: 2; sh: 2
file content (46 lines) | stat: -rw-r--r-- 908 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
{
  "name": "error-ex",
  "description": "Easy error subclassing and stack customization",
  "version": "1.3.0",
  "maintainers": [
    "JD Ballard <i.am.qix@gmail.com> (github.com/qix-)",
    "Sindre Sorhus <sindresorhus@gmail.com> (sindresorhus.com)"
  ],
  "keywords": [
    "error",
    "errors",
    "extend",
    "extending",
    "extension",
    "subclass",
    "stack",
    "custom"
  ],
  "license": "MIT",
  "scripts": {
    "pretest": "xo",
    "test": "mocha --compilers coffee:coffee-script/register"
  },
  "xo": {
    "rules": {
      "operator-linebreak": [
        0
      ]
    }
  },
  "repository": "qix-/node-error-ex",
  "files": [
    "index.js"
  ],
  "devDependencies": {
    "coffee-script": "^1.9.3",
    "coveralls": "^2.11.2",
    "istanbul": "^0.3.17",
    "mocha": "^2.2.5",
    "should": "^7.0.1",
    "xo": "^0.7.1"
  },
  "dependencies": {
    "is-arrayish": "^0.2.1"
  }
}